## libqtdee 0.1-0ubuntu1~unity2d3

=== CMakeLists.txt ===
project(libqtdee)
cmake_minimum_required(VERSION 2.8)

# Dependencies
include(FindPkgConfig)
find_package(Qt4 REQUIRED)
pkg_check_modules(DEE REQUIRED dee-1.0)

# Sources
## QtDee
set(QtDee_SRCS
    deelistmodel.cpp
    )

set(QtDee_MOC_HDRS
    deelistmodel.h
    )

qt4_wrap_cpp(QtDee_MOC_SRCS ${QtDee_MOC_HDRS})

## QtDeeQml
set(QtDeeQml_SRCS
    plugin.cpp
    )

set(QtDeeQml_MOC_HDRS
    plugin.h
    )

qt4_wrap_cpp(QtDeeQml_MOC_SRCS ${QtDeeQml_MOC_HDRS})

# Build
add_definitions(-DQT_NO_KEYWORDS)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${QT_INCLUDE_DIR}
    ${QT_QTCORE_INCLUDE_DIR}
    ${QT_QTDECLARATIVE_INCLUDE_DIR}
    ${DEE_INCLUDE_DIRS}
    )

## QtDee
add_library(QtDee SHARED ${QtDee_SRCS} ${QtDee_MOC_SRCS})

set_target_properties(QtDee PROPERTIES
    SOVERSION 2
    VERSION 2.0.0
    )

target_link_libraries(QtDee
    ${QT_QTCORE_LIBRARIES}
    ${DEE_LDFLAGS}
    )

## QtDeeQml
add_library(QtDeeQml SHARED ${QtDeeQml_SRCS} ${QtDeeQml_MOC_SRCS})

target_link_libraries(QtDeeQml
    QtDee
    ${QT_QTDECLARATIVE_LIBRARIES}
    )

## test
set(test_SRCS
    test.cpp
    )

set(test_MOC_HDRS
    test.h
    )

qt4_wrap_cpp(test_MOC_SRCS ${test_MOC_HDRS})

add_executable(test ${test_SRCS} ${test_MOC_SRCS})
target_link_libraries(test
    QtDee
    )

# Install
set(IMPORT_INSTALL_DIR lib/qt4/imports/dee)
set(INCLUDE_INSTALL_DIR include/QtDee)

## QtDee
install(TARGETS QtDee
    LIBRARY DESTINATION lib${LIB_SUFFIX}
    )

install(FILES deelistmodel.h
    DESTINATION ${INCLUDE_INSTALL_DIR}
    )

## QtDeeQml
install(TARGETS QtDeeQml
    LIBRARY DESTINATION ${IMPORT_INSTALL_DIR}
    )

install(FILES qmldir
    DESTINATION ${IMPORT_INSTALL_DIR}
    )

=== debian/changelog ===
libqtdee (0.1-0ubuntu1~unity2d3) lucid; urgency=low

  * debian/control: update Vcs-Bzr link
  * debian/source/format: change to 3.0 (native)

 -- Alex Chiang <achiang@canonical.com>  Sat, 12 Feb 2011 11:13:02 -0700

libqtdee (0.1-0ubuntu1~unity2d2) lucid; urgency=low

  * debian/control: bump cmake B-D

 -- Alex Chiang <achiang@canonical.com>  Wed, 09 Feb 2011 14:19:18 -0700

libqtdee (0.1-0ubuntu1~unity2d1) lucid; urgency=low

  * Backport from Maverick

 -- Alex Chiang <achiang@canonical.com>  Tue, 08 Feb 2011 19:47:12 -0700

libqtdee (0.1-0ubuntu4) UNRELEASED; urgency=low

  * Upstream changes: use libdee's API instead of dee's private D-Bus API.
  * debian/libqtdee1.symbols: updated symbols and fixed lintian warning
    symbols-file-contains-current-version-with-debian-revision by removing
    Debian revisions.

 -- Florian Boucault <florian.boucault@canonical.com>  Mon, 24 Jan 2011 00:52:19 -0200

libqtdee (0.1-0ubuntu3) natty; urgency=low

   * add Vcs-Bzr location to debian/control
   * update branch location in debian/copyright

 -- Oliver Grawert <ogra@ubuntu.com>  Fri, 21 Jan 2011 13:50:54 +0100

libqtdee (0.1-0ubuntu2) natty; urgency=low

  * Add symbol files to prevent ABI skew

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Fri, 14 Jan 2011 13:18:40 -0800

libqtdee (0.1-0ubuntu1) natty; urgency=low

  * Initial Release (LP: #702919)

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Fri, 14 Jan 2011 08:24:19 -0800

=== debian/control ===
Source: libqtdee
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Olivier Tilloy <olivier.tilloy@canonical.com>
Build-Depends: cdbs, debhelper (>= 7), cmake (>= 2.8.2), libqt4-dev (>= 4.7), libdee-dev
Standards-Version: 3.9.1
Vcs-Bzr: https://code.launchpad.net/~oem-solutions-group/unity-2d/dee-qt

Package: libqtdee2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-dbus, libqt4-declarative
Conflicts: libqtdee1
Replaces: libqtdee1
Description: Qt binding and QML plugin for Dee - shared library
 Simple Qt binding and QML plugin for Dee (https://launchpad.net/dee).

Package: libqtdee-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtdee2 (= ${binary:Version}), libqt4-dev (>= 4.7)
Conflicts: libqtdee1 (<<0.0-0ubuntu1~bzr17), libqtdee
Replaces: libqtdee1 (<<0.0-ubuntu1~bzr17), libqtdee
Description: Qt binding and QML plugin for Dee - development files
 Simple Qt binding and QML plugin for Dee (https://launchpad.net/dee).
 .
 This package contains the developer headers for the Qt binding for Dee

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

## libqtdee 0.2.2

=== debian/changelog ===
libqtdee (0.2.2-0ubuntu1) natty; urgency=low

  * New upstream bugfix release

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 23 Mar 2011 14:12:11 +0100

libqtdee (0.2.1-0ubuntu1) natty; urgency=low

  * New upstream bugfix release

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 15 Mar 2011 17:47:50 +0100

libqtdee (0.2-0ubuntu1) natty; urgency=low

  [ Oliver Grawert ]
  * New Upstream version
  * change Conflicts to Breaks in debian/control

  [ Florian Boucault ]
  * Upstream changes: use libdee's API instead of dee's private D-Bus API.
  * debian/libqtdee1.symbols: updated symbols and fixed lintian warning
    symbols-file-contains-current-version-with-debian-revision by removing
    Debian revisions.

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 21 Feb 2011 17:43:43 +0100

## libqtdee 0.2.3~bzr38

=== debian/changelog ===
libqtdee (0.2.3~bzr38) natty; urgency=low

  * Auto build.

 --  <ubuntu.builder@gmail.com>  Fri, 25 Mar 2011 00:47:26 +0000

=== debian/control ===
Source: libqtdee
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Olivier Tilloy <olivier.tilloy@canonical.com>
Build-Depends: cdbs, debhelper (>= 7), cmake, libqt4-dev (>= 4.7), libdee-dev
Standards-Version: 3.9.1
Vcs-Bzr: http://bazaar.launchpad.net/~unity-2d-team/dee-qt/trunk

Package: libqtdee2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-dbus, libqt4-declarative
Breaks: libqtdee1
Replaces: libqtdee1
Description: Qt binding and QML plugin for Dee - shared library
 Simple Qt binding and QML plugin for Dee (https://launchpad.net/dee).

Package: libqtdee-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtdee2 (= ${binary:Version}), libqt4-dev (>= 4.7)
Breaks: libqtdee1 (<<0.0-0ubuntu1~bzr17), libqtdee
Replaces: libqtdee1 (<<0.0-ubuntu1~bzr17), libqtdee
Description: Qt binding and QML plugin for Dee - development files
 Simple Qt binding and QML plugin for Dee (https://launchpad.net/dee).
 .
 This package contains the developer headers for the Qt binding for Dee

## libqtdee 0.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,9 @@
 include(FindPkgConfig)
 find_package(Qt4 REQUIRED)
 pkg_check_modules(DEE REQUIRED dee-1.0)
+
+# Build flags
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden -Wall -std=c++0x")
 
 # Sources
 ## QtDee

=== debian/changelog ===
libqtdee (0.2.3-0ubuntu1) oneiric; urgency=low

  * debian/libqtdee2.symbols
    - added symbols introduced by new APIs in version 0.2.2
      QVariantMap DeeListModel::get(int) and int DeeListModel::count()
    - marked as optional all weak symbols that are not part of the library
    - added optional weak symbol introduced by Oneiric's Qt
    - removed private symbols
  * use -fvisibility=hidden in build to hide all private symbols
  * add -Wall compilation flag and fixed all warnings
  * add -std=c++0x compilation flag

 -- Florian Boucault <florian.boucault@canonical.com>  Thu, 28 Jul 2011 00:22:52 +0200

## libqtdee 0.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -79,6 +79,7 @@
 target_link_libraries(test
     QtDee
     )
+add_custom_target(check)
 
 # Install
 set(IMPORT_INSTALL_DIR lib/qt4/imports/dee)
@@ -93,6 +94,10 @@
     DESTINATION ${INCLUDE_INSTALL_DIR}
     )
 
+install(FILES libqtdee.pc
+    DESTINATION lib/pkgconfig
+    )
+
 ## QtDeeQml
 install(TARGETS QtDeeQml
     LIBRARY DESTINATION ${IMPORT_INSTALL_DIR}
